import '../../../../../../food_delivery_client.dart';

class WStoresList extends StatelessWidget {
  const WStoresList({super.key});

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      itemCount: 20,
      shrinkWrap: true,
      padding: EdgeInsets.symmetric(vertical: 17),
      physics: const NeverScrollableScrollPhysics(),
      itemBuilder: (context, index) {
        return WStoreItem();
      },
    );
  }
}

class WStoreItem extends StatelessWidget {
  const WStoreItem({super.key});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {},
      child: Ink(
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            ClipRRect(
              borderRadius: AppUtils.kBorderRadius36,
              child: CachedNetworkImage(
                imageUrl: AppLocaleKeys.imageUrl,
                height: 70,
                width: 70,
                fit: BoxFit.cover,
              ),
            ),
            16.horizontalSpace,
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("Begs & Megs", style: AppTextStyles.size16Medium),
                Text(
                  context.loc.opensAt("10:00"),
                  style: AppTextStyles.size14Regular.copyWith(
                    color: AppColors.c6B6B6B,
                  ),
                ),
                Text(
                  context.loc.spendAndSave("\$20", "\$5"),
                  style: AppTextStyles.size14Medium.copyWith(
                    color: AppColors.c05A357,
                  ),
                ),
              ],
            ),
            const Spacer(),
            IconButton(
              onPressed: () {},
              icon: SvgPicture.asset(AppIcons.icDislikeGrey),
            ),
          ],
        ).paddingSymmetric(vertical: 10, horizontal: 18),
      ),
    );
  }
}
